
    * {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
   box-sizing: border-box;
}
    
    
    html,body{
            
            height: 100%;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }
         

body{
    font-family: "Tajawal";
    display: grid;
    direction: rtl;
    text-align: right;
    justify-self: center;

    background-image: linear-gradient( to bottom right , rgb(102, 118, 255) , rgb(98, 76, 156));
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

.notification-style
{
    position: fixed;
    top : 1dvh;
    right: 0;
    height: 10dvh;
    width: 35dvh;

    background-color: rgb(138, 128, 226);
    color: white;
    text-align: center;
    border-radius: 20px;
    font-size: 1.2rem;
    align-content: center;
    animation: notifyAnim 4s ease-in-out forwards ;
}

.notification-style-success{
    background-color: rgb(79, 199, 63);
}

.notification-style-error{
    background-color: rgb(226, 128, 128);
}


@keyframes notifyAnim {
    0% {
        transform: translateX(100%);  /* off-screen right */
        opacity: 0;
    }

    20% {
        transform: translateX(0);     /* fully visible */
        opacity: 1;
    }

    70% {
        transform: translateX(0);     /* stay still */
        opacity: 1;
    }

    100% {
        transform: translateX(100%);  /* slide out slowly */
        opacity: 0;
    }
}


header{
    
    width: 100rem;
    background-color: rgba(255, 255, 255, 0.95);
    margin-bottom: 0;
    padding-bottom: 0;
    
}

#header-content {
    display: flex;
    flex-direction: column;
    justify-self: center;
    text-align: center;
    margin-left: 24rem;
    margin-right: 25rem;
}

#description{
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
}

#header-content p {
    margin-top: 1rem ;
    
    font-size: 1.5rem;
    font-weight: lighter;
}

h1{
    font-weight: 400;
    justify-self: center;
    background-color: blanchedalmond;
    font-size: 3rem;
    
    
    margin-top: 3rem;
    padding: 0;
    
} /*end of header style*/

main{
   max-width: 90rem;
   margin: 0 auto;
   padding: 2rem;
}

#subs,
#scores,
#available-courses-section {
  width: 100%; 
}


#instruction{
    display: flex;
    height: 3rem;
    width: 80rem;
    justify-content: center;
    justify-self: center;
    margin: 2rem;
    /* margin-top: 2rem;
    margin-bottom: 2rem;
    margin-left: 24rem;
    margin-right: 25rem; */
    background-color: rgba(255, 255, 255, 0.95);
    border-radius: 20px;
    font-weight: 400;
}

#subs{
    
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 5px;
    justify-items: center;
    justify-self: center;
    align-items: center;
    max-width: 80rem;
}

.course-button {
    color: #f0ffff;
    background: rgb(16, 219, 255);
    border: none;
    font-size:  1.1rem;
    border-radius: 20px;
    height: 3.5rem;
    width: 20rem;
    
    
}

.unavailable-course{
    background: rgb(245, 107, 107);
    cursor: not-allowed;
}

@keyframes btnHoverAnim {
  0% {
    transform: scale(1) translateY(0);
  }
  50% {
    transform: scale(1.07) translateY(-2px);
  }
  100% {
    transform: scale(1.07) translateY(-3px);
  }
}

.course-button:hover{
    
    animation: btnHoverAnim 1s ease-in-out forwards;
}

.available-course{
    cursor: default;
    background-image: linear-gradient(to right , rgb(149, 159, 255) , rgb(110, 127, 201));
}

.done-course{
    cursor: auto;
    background-color: rgb(38, 170, 38) ;
    position: relative;
    animation: chosenAnim 1s normal;
}

.done-course::after{
    content: '✓';
    position: absolute;
    top: 14px;
    right: 19px;
}

@keyframes chosenAnim {
    0%{
        transform: scale(1);
    }

    50%{
       transform: scale(1.1);
    }

    100%{
        transform: scale(1);
    }
}

/* scores section*/

#scores{
    display: grid;
    grid-template-columns: repeat(3 , 1fr);
    gap: 1rem;
    margin-top: 2rem;
    
}

#scores .score-container{
    background-color: white;
    height: 10rem;
    margin-bottom: 0.7rem;
    border-radius: 20px;
}

#scores .score-container div{
   margin: 10%;
   text-align: center;
   font-weight: bold;
}

.number-of{
    font-size: 2rem;
    color: rgb(142, 142, 255);
}

.sum-description{
    font-size: large;
    font-weight: 400;
}


#available-courses-section{
background-color: white;
margin-top: 3rem;

border-radius: 25px;
}

.congrats{
  grid-area: 1/3;
  align-self: center;
  background-image: linear-gradient(rgb(199, 236, 190),rgb(159, 212, 155)) ;
  margin-bottom: 3dvh;
  padding: 1dvh;
  border-radius: 2rem ;
  width : 41dvw;
}

h3{
    justify-self: center;
    padding-top: 2rem;
    font-size: 1.5rem;
    font-weight: 400;
}
#available-courses-grid{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 0.3rem;
    padding-top: 2rem;
    padding-right: 2rem;
    padding-left: 2rem;
}

#available-courses-grid .ac-container{
    background-image: linear-gradient(rgb(199, 236, 190),rgb(159, 212, 155)) ;
    display: flex;
    height: 3rem;
    margin: 0.5rem;
    border-radius: 18px;
    text-align: center;
    justify-content: center;
    margin-bottom: 3rem;
    
}

#available-courses-grid .ac-container p{
    align-self: center;
    color: green;
}

.dot {
  width: 8px;
  height: 8px;
  background-color: black;
  border-radius: 50%;
  margin-right: 0.5rem;
  padding: 0;
  margin: 0;
}

#notes{
    height: 15dvh;
    background-color: #ffe4c4;
    margin: 2rem;
    position: relative;
    border-radius: 1rem;
}

h4{
    padding: 0.5rem;
    padding-right: 1rem;
    font-weight: 400;
    font-size: 1.5rem;
}
#notes ul {
    position: absolute;
    right: 3rem;
    background-color: #e7ddd1;
}




footer{
    color: white;
    height: 4rem;
    align-content: center;
    text-align: center;
    background-color: rgb(73, 67, 100);
}


@media (max-width: 768px) {
  header {
    width: 100%;
  }

  #header-content {
    margin-left: 1rem;
    margin-right: 1rem;
  }

  #instruction {
    width: 90%;
    height: auto;
    padding: 1px;
    font-size: 0.9rem;
    text-align: center;
    flex-wrap: wrap;
  }

  #subs {
    grid-template-columns: repeat(2, 1fr);
    max-width: 100%;
  }

  .course-button {
    width: 90%;
    font-size: 1rem;
    height: 3rem;
  }

  #scores {
    grid-template-columns: 1fr;
  }

  .congrats {
    grid-area: auto;
    width: 90%;
    font-size: 0.9rem;
  }

  #available-courses-section h3
  {
   padding-right: 2px;
   text-align: center;
  }
  #available-courses-grid {
    grid-template-columns: repeat(2, 1fr);
    padding: 1rem;
  }

  #notes {
    height: auto;
    margin: 1rem;
    
  }

  #notes ul {
    position: relative;
    right: auto;
    background-color: #e7ddd1;
    padding: 1rem;
  }

  #notes ul li{
    
  }

  h1 {
    font-size: 2rem;
    margin-top: 1rem;
  }

  h3, h4 {
    font-size: 1.2rem;
  }

  .notification-style {
    width: 90%;
    right: 5%;
    font-size: 1rem;
  }
}
